<?php
declare (strict_types = 1);

namespace app\admin\controller;

use app\admin\model\ConsultTemp;use think\App;use think\Request;

class ConsultGood extends Base
{
	private $model;
	public function __construct(App $app) {
		parent::__construct($app);
		$this->model=new ConsultTemp();
	}
 
	
	public function info(){
		$param =$this->request->param(["id"],"post","trim");
		$info = $this->model->findOrEmpty($param['id']);
		if($info->isEmpty())$this->error("未找到信息");
		$this->success("获取成功",$info);
	}
	
	public function getList(){
		$param= $this->request->param(["bidNo"=>""],"post","trim");
		$list = $this->model->with(["brand","cat","unit"])->where("bidNo",$param['bidNo'])->select();
		$this->success('获取成功',$list);
	}
	
	public function delete(){
		$param= $this->request->param(['id'=>''],'post','trim');
		$info = $this->model->findOrEmpty($param['id']);
		if($info->isEmpty())$this->error('未找到信息');
		$del= $info->delete();
		$del?$this->success('删除成功'):$this->error("删除失败");
	}
}
